Bug 477889 - evolution multilib conflict
evolution multilib conflict
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
19
All Linux
low Severity medium
: ---
: ---
Assigned To: Milan Crha
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-24 16:50 EST by Philippe Troin
Modified: 2015-02-18 06:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:58:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philippe Troin 2008-12-24 16:50:05 EST
Description of problem:

yum install evolution.i386 evolution.x86_64

yields:

  file /usr/share/locale/am/LC_MESSAGES/evolution-2.24.mo from install of evolution-2.24.2-2.fc10.i386 conflicts with file from package evolution-2.24.2-2.fc10.x86_64
  file /usr/share/locale/ar/LC_MESSAGES/evolution-2.24.mo from install of evolution-2.24.2-2.fc10.i386 conflicts with file from package evolution-2.24.2-2.fc10.x86_64
  file /usr/share/locale/as/LC_MESSAGES/evolution-2.24.mo from install of evolution-2.24.2-2.fc10.i386 conflicts with file from package evolution-2.24.2-2.fc10.x86_64
...many more...

Version-Release number of selected component (if applicable):
evolution-2.24.2-2.fc10
Comment 1 Matthew Barnes 2008-12-24 18:02:54 EST
evolution.i386 and evolution.x86_64 are mutually exclusive.
Comment 2 Philippe Troin 2009-01-04 20:29:32 EST
Reopening.

If that's the case, then they should conflict which each other.

Nevertheless I believe you're wrong.  On F8, one was able to install both 32 and 64 bit version.  This is just poor multilib handling.  The conflicting files are message catalogs.  I have a bunch of packages containing message catalogs with both 32-bit and 64-bit versions installed.  Evolution should be able to to the same.

Please reconsider.
Comment 3 Philippe Troin 2009-01-21 17:41:15 EST
Well the problem fixed itself with evolution-2.24.3-1.fc10.i386.rpm.
Therefore closing.
Comment 4 Philippe Troin 2009-03-02 18:35:53 EST
The problem was reintroduced with evolution-2.24.5-1.fc10
Comment 5 Philippe Troin 2009-06-26 14:43:17 EDT
Still broken in F11 with evolution-2.26.2-1.fc11.
Would you accept a patch?
Comment 6 Milan Crha 2009-06-29 05:00:44 EDT
(In reply to comment #5)
> Still broken in F11 with evolution-2.26.2-1.fc11.
> Would you accept a patch?

From my side yes, but I do not understand the background enough.
What do you think, Matt?
Comment 7 Bug Zapper 2010-04-27 08:37:33 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Philippe Troin 2010-06-10 18:46:56 EDT
Still present in F13.
Comment 9 Bug Zapper 2011-06-02 14:18:51 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2011-06-27 10:04:47 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 11 Philippe Troin 2012-06-12 18:15:05 EDT
Still present in F17:

# yum -y install evolution-devel              
Loaded plugins: changelog, downloadonly, priorities, remove-with-leaves, show-
              : leaves, tsflags
16 packages excluded due to repository priority protections
Package evolution-devel-3.4.2-1.fc17.x86_64 already installed and latest version
Resolving Dependencies
--> Running transaction check
---> Package evolution-devel.i686 0:3.4.2-1.fc17 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                Arch        Version                Repository      Size
================================================================================
Installing:
 evolution-devel        i686        3.4.2-1.fc17           updates        375 k

Transaction Summary
================================================================================
Install  1 Package

Total size: 375 k
Installed size: 2.3 M
Downloading Packages:
Running Transaction Check
Running Transaction Test


Transaction Check Error:
  file /usr/share/gtk-doc/html/eshell/EShellView.html from install of evolution-devel-3.4.2-1.fc17.i686 conflicts with file from package evolution-devel-3.4.2-1.fc17.x86_64
  file /usr/share/gtk-doc/html/eshell/ch01.html from install of evolution-devel-3.4.2-1.fc17.i686 conflicts with file from package evolution-devel-3.4.2-1.fc17.x86_64
  file /usr/share/gtk-doc/html/eshell/ch02.html from install of evolution-devel-3.4.2-1.fc17.i686 conflicts with file from package evolution-devel-3.4.2-1.fc17.x86_64
  file /usr/share/gtk-doc/html/eshell/ch03.html from install of evolution-devel-3.4.2-1.fc17.i686 conflicts with file from package evolution-devel-3.4.2-1.fc17.x86_64
  file /usr/share/gtk-doc/html/eshell/ch04.html from install of evolution-devel-3.4.2-1.fc17.i686 conflicts with file from package evolution-devel-3.4.2-1.fc17.x86_64
  file /usr/share/gtk-doc/html/eshell/ix01.html from install of evolution-devel-3.4.2-1.fc17.i686 conflicts with file from package evolution-devel-3.4.2-1.fc17.x86_64

Error Summary
-------------

[2]    11915 exit 1     noglob yum -y install evolution-devel
Comment 12 Fedora End Of Life 2013-07-04 02:50:44 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2013-08-01 14:29:10 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 14 Philippe Troin 2013-10-14 12:46:08 EDT
Bug still there in F19.
Comment 15 Milan Crha 2013-10-15 05:03:50 EDT
I still do not understand why it would generate different message catalogs, those as such are supposed to be the same on all arches, no?

For example the am.po begins with:
  # Translations into the Amharic Language.
  # Copyright (C) 2002 Free Software Foundation, Inc.
  # This file is distributed under the same license as the evolution package.
  # Ge'ez Frontier Foundation <locales@geez.org>, 2002.
  #
  #
  msgid ""
  msgstr ""
  "Project-Id-Version: evolution 1.0\n"
  "Report-Msgid-Bugs-To: \n"
  "POT-Creation-Date: 2005-09-11 17:30+0200\n"
  "PO-Revision-Date: 2003-02-07 17:46+EDT\n"
  "Last-Translator: Ge'ez Frontier Foundation <locales@geez.org>\n"
  "Language-Team: Amharic <locales@geez.org>\n"
  "MIME-Version: 1.0\n"
  "Content-Type: text/plain; charset=utf-8\n"
  "Content-Transfer-Encoding: 8bit\n"

which is almost the same as the one used in evolution-data-server, which doesn't suffer of this multilib issue.

I see one difference in the .spec file, evolution strips some messages from the .mo files, while the evolution-data-server doesn't do that. The related code is:

   # Strip unneeded translations from .mo files.
   # This reduces the RPM size by several megabytes.
   cd po
   grep -v ".*[.]desktop[.]in[.]in$" POTFILES.in > POTFILES.keep
   mv POTFILES.keep POTFILES.in
   intltool-update --gettext-package=%{name}-%{evo_base_version} --pot
   for p in *.po; do
   	msgmerge $p %{name}-%{evo_base_version}.pot > $p.out
   	msgfmt -o `basename $p .po`.gmo $p.out
   done
   cd -
Comment 16 Fedora Admin XMLRPC Client 2014-09-04 10:28:38 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 17 Fedora End Of Life 2015-01-09 16:38:00 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2015-02-18 06:58:10 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.